<div th:replace="@{Lensa/Layout/Top}"></div>

<body id="page-top">
  <!-- Page Wrapper -->
  <div id="wrapper">
    <div th:replace="@{Lensa/Layout/Sidebar}"></div>

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">
      <!-- Main Content -->
      <div id="content">
        <div th:replace="@{Lensa/Layout/Topbar}"></div>

        <!-- Begin Page Content -->
        <div class="container-fluid">
          <!-- Page Heading -->
          <h1 class="h3 mb-2 text-gray-800">Data BPJS</h1>

          <div th:replace="@{Lensa/Layout/ErrorAllert}"></div>

          <!-- TOMBOL -->

          <script>
            $(document).ready(function () {
              // Append table with add row form on add new button click
              $(document).on("click", "#btnSearch", function () {
                holder = $("#inputSearch").val();
                window.location.href = "/bpjs/" + holder;
              });
            });
          </script>

          <div class="text-start w-50">
            <div class="row">
              <div class="col">
                <div class="input-group mb-3">
                  <input
                    type="text"
                    class="form-control"
                    placeholder="Nama BPJS.."
                    aria-label="Nama BPJS.."
                    aria-describedby="button-addon2"
                    id="inputSearch"
                    list="namaBPJS"
                    th:value="${Search != null ? Search : ''}"
                  />
                  <datalist id="namaBPJS">
                    <option
                      th:value="${bpjs.Peserta}"
                      th:each="bpjs : ${DataNamaBPJS}"
                    ></option>
                  </datalist>

                  <button
                    class="btn btn-outline-secondary"
                    type="button"
                    id="btnSearch"
                  >
                    <i class="fa-solid fa-magnifying-glass"></i>
                  </button>
                </div>
              </div>
            </div>
          </div>

          <!-- TOMBOL TAMBAH DATA -->
          <!-- Button trigger modal -->
          <button
            type="button"
            class="btn btn-primary"
            data-bs-toggle="modal"
            data-bs-target="#exampleModal"
          >
            Tambah Data BPJS
          </button>

          <!-- Modal -->
          <div
            class="modal fade"
            id="exampleModal"
            tabindex="-1"
            aria-labelledby="exampleModalLabel"
            aria-hidden="true"
          >
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel">
                    Masukkan Data
                  </h5>
                  <button
                    type="button"
                    class="btn-close"
                    data-bs-dismiss="modal"
                    aria-label="Close"
                  ></button>
                </div>
                <div class="modal-body">
                  <!-- FORM TAMBAH DATA -->
                  <form th:action="@{/bpjs/add}" method="post" id="addBPJS">
                    <div class="mb-3">
                      <label for="Nama" class="form-label">Nama Peserta</label>
                      <input
                        type="text"
                        class="form-control"
                        id="Nama"
                        name="Peserta"
                        required
                      />
                    </div>
                    <div class="mb-3">
                      <label for="NoKartu" class="form-label"
                        >No Kartu Peserta</label
                      >
                      <input
                        type="text"
                        class="form-control"
                        id="NoKartu"
                        name="NoKartuPeserta"
                        required
                      />
                    </div>
                    <div class="mb-3">
                      <label for="AsalResep" class="form-label"
                        >Asal Resep</label
                      >
                      <input
                        type="text"
                        class="form-control"
                        id="AsalResep"
                        name="AsalResep"
                        required
                      />
                    </div>
                    <div class="mb-3">
                      <label for="UkuranL" class="form-label"
                        >Ukuran Lensa Kiri</label
                      >
                      <input
                        type="number"
                        step=".01"
                        class="form-control"
                        id="UkuranL"
                        name="UkuranKacamata_kiri"
                        required
                      />
                    </div>
                    <div class="mb-3">
                      <label for="UkuranR" class="form-label"
                        >Ukuran Lensa Kanan</label
                      >
                      <input
                        type="number"
                        step=".01"
                        class="form-control"
                        id="UkuranR"
                        name="UkuranKacamata_kanan"
                        required
                      />
                    </div>
                    <div class="mb-3 input-group.date">
                      <label for="Tanggal" class="form-label">Tanggal</label>

                      <input
                        type="Date"
                        class="form-control addBPJSDate"
                        id="Tanggal"
                        name="Tanggal"
                        th:max="${#dates.format(#dates.createNow(), 'YYYY-MM-dd')}"
                        th:value="${#dates.format(#dates.createNow(), 'YYYY-MM-dd')}"
                        required
                      />
                    </div>
                  </form>

                  <!-- FORM TAMBAH DATA -->
                </div>
                <div class="modal-footer">
                  <button
                    type="button"
                    class="btn btn-secondary"
                    data-bs-dismiss="modal"
                  >
                    Batal
                  </button>

                  <button
                    type="submit"
                    class="btn btn-primary DateHelper"
                    form="addBPJS"
                  >
                    Submit
                  </button>
                </div>
              </div>
            </div>
          </div>

          <script>
            $(document).ready(function () {
              $('[data-toggle="tooltip"]').tooltip();
              var actions = $("table td:last-child").html();
              // Append table with add row form on add new button click
              $(document).on("click", ".DateHelper", function () {
                $(".addBPJSDate").attr("type", "text");
              });
            });
          </script>

          <div class="table-title mt-3">
            <div class="row">
              <div class="col-sm-6">
                <h2>Daftar <b>BPJS</b></h2>
              </div>
            </div>
          </div>

          <div class="">
            <div class="table-responsive">
              <div
                class="table-wrapper mt-0"
                style="max-height: 500px; overflow: auto; display: inline-block"
              >
                <script>
                  $(document).ready(function () {
                    $('[data-toggle="tooltip"]').tooltip();
                    var actions = $("table td:last-child").html();
                    // Append table with add row form on add new button click
                    $(document).on("click", ".edit", function () {
                      holder = " ";
                      $(this)
                        .parents("tr")
                        .find("td:not(:last-child)")
                        .each(function () {
                          if ($(this).attr("id") == "Id") {
                            holder = $(this).text();
                            $(this).html(
                              '<input type="hidden" class="form-control" value="' +
                                $(this).text() +
                                '" id="' +
                                $(this).attr("id") +
                                '" name="' +
                                $(this).attr("id") +
                                '" form="' +
                                holder +
                                '" readonly>'
                            );
                          } else if (
                            $(this).attr("id") == "UkuranKacamata_kiri" ||
                            $(this).attr("id") == "UkuranKacamata_kanan" ||
                            $(this).attr("id") == "NoKartuBPJS"
                          ) {
                            $(this).html(
                              '<input type="number" class="form-control addSoftlensDate" value="' +
                                $(this).text() +
                                '" id="' +
                                $(this).attr("id") +
                                '" name="' +
                                $(this).attr("id") +
                                '" form="' +
                                holder +
                                '"required>'
                            );
                          } else if ($(this).attr("id") == "Tanggal") {
                            $(this).html(
                              '<input type="date" class="form-control addBPJSDate" value="' +
                                $(this).text() +
                                '" id="' +
                                $(this).attr("id") +
                                '" name="' +
                                $(this).attr("id") +
                                '" form="' +
                                holder +
                                '" max=' +
                                $("#Tanggal").attr("max") +
                                ">"
                            );
                          } else {
                            if ($(this).attr("id") != "NoBPJS") {
                              $(this).html(
                                '<input type="text" class="form-control" value="' +
                                  $(this).text() +
                                  '" id="' +
                                  $(this).attr("id") +
                                  '" name="' +
                                  $(this).attr("id") +
                                  '" form="' +
                                  holder +
                                  '"required >'
                              );
                            }
                          }
                        });
                      $(this).parents("tr").find(".add, .edit").toggle();
                      // $(".add-new").attr("disabled", "disabled");
                      //   $(this).parents("tr").find("form").attr("action","/api/Mahasiswa/update");
                    });
                  });
                </script>

                <table class="table table-striped table-hover tableFixHead">
                  <thead>
                    <tr>
                      <th>No</th>
                      <th>Tanggal</th>
                      <th>No Kartu Peserta</th>
                      <th>Nama Peserta</th>
                      <th>Asal Resep</th>
                      <th>Ukuran Lensa Kiri</th>
                      <th>Ukuran Lensa Kanan</th>
                      <th>Aksi</th>
                    </tr>
                  </thead>
                  <tbody>
                    <div th:each="bpjs : ${DataBPJS}">
                      <tr>
                        <form
                          th:action="@{/bpjs/update}"
                          method="post"
                          th:id="${bpjs.Id}"
                        ></form>
                        <td th:text="${bpjs.Id}" id="Id" class="d-none"></td>
                        <td th:text="${bpjs.NoBPJS}" id="NoBPJS"></td>
                        <td th:text="${bpjs.Tanggal}" id="Tanggal"></td>
                        <td
                          th:text="${bpjs.noKartuPeserta}"
                          id="noKartuPeserta"
                        ></td>
                        <td th:text="${bpjs.Peserta}" id="Peserta"></td>
                        <td th:text="${bpjs.AsalResep}" id="AsalResep"></td>
                        <td
                          th:text="${bpjs.UkuranKacamata_kiri}"
                          id="UkuranKacamata_kiri"
                        ></td>
                        <td
                          th:text="${bpjs.UkuranKacamata_kanan}"
                          id="UkuranKacamata_kanan"
                        ></td>
                        <td>
                          <button
                            type="submit"
                            class="add DateHelper"
                            style="display: none"
                            title="Add"
                            th:form="${bpjs.Id}"
                          >
                            <i class="material-icons" th:form="${bpjs.Id}"
                              >&#xE03B;</i
                            >
                          </button>
                          <a title="Edit" class="btn btn-sm manage edit"
                            ><i class="fa-solid fa-pen-to-square"></i
                          ></a>
                        </td>
                      </tr>
                    </div>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!-- /.container-fluid -->
      </div>
      <!-- End of Main Content -->

      <!-- Footer -->
      <footer class="sticky-footer bg-white">
        <div class="container my-auto">
          <div class="copyright text-center my-auto">
            <span>Copyright &copy; Your Website 2020</span>
          </div>
        </div>
      </footer>
      <!-- End of Footer -->
    </div>
    <!-- End of Content Wrapper -->
  </div>
  <!-- End of Page Wrapper -->

  <!-- Scroll to Top Button-->
  <a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
  </a>

  <!-- Logout Modal-->
  <div
    class="modal fade"
    id="logoutModal"
    tabindex="-1"
    role="dialog"
    aria-labelledby="exampleModalLabel"
    aria-hidden="true"
  >
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
          <button
            class="close"
            type="button"
            data-dismiss="modal"
            aria-label="Close"
          >
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">
          Select "Logout" below if you are ready to end your current session.
        </div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">
            Cancel
          </button>
          <a class="btn btn-primary" href="login.html">Logout</a>
        </div>
      </div>
    </div>
  </div>
</body>

<div th:replace="@{Lensa/Layout/Bottom}"></div>
